/*
 * 10/11/2001 - 22:45:16
 *
 * J-Code 1.0
 * Copyright (C) 2001 Thierry Vouriot
 * thierry.vouriot@free.fr
 * 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
package tvouriot.jcode.gui;

import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import tvouriot.lib.gui.*;

/** Fentre principale de l'application J-Codage.
 */
public final class FrmMain extends JFrame {
    /** Barre d'outils
     */    
    private MainToolBar toolbar = new MainToolBar(this);
    /** Panel contenant les composants
     */    
    private PnlCompVirtuelle pnlCompVirtuelle = new PnlCompVirtuelle(toolbar);
    
    /** Constructeur */
    public FrmMain() { 
        this.setTitle("J-Code (version 1.0)");
        this.setIconImage(this.getToolkit().createImage(this.getClass().getResource(Icones.MAIN)));
       
        Container contentPane = this.getContentPane();
        
        contentPane.add(pnlCompVirtuelle,BorderLayout.CENTER);
        contentPane.add(toolbar,BorderLayout.NORTH);
        
        this.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });    
        
        this.pack();
        this.setSize(700,520);
        this.setLocation(SwingTools.getPositionCentrale(this));
    }
    
    /** Retourne le panel permettant la compression virtuelle
     *  @return panel compression virtuelle
     */
    public PnlCompVirtuelle getPanelCompVirtuelle() {
        return this.pnlCompVirtuelle;
    }
    
    /** Fonction lance au dmarrage de l'application
     * @param arg arguments passs dans la ligne de commande
     */    
    public static void main(String[] arg) {
        
        new FrmMain().show();
    }
    
}
