package tvouriot.lib.io;

import java.net.*;
import java.io.*;
import java.util.*;
import javax.swing.*;

/** Classe implantant des fonctions sur les fichiers.
 */
public class Fichiers {
    /** Fonction qui lit le contenu d'un fichier et l'affiche dans une zone de texte
     *  @param txt zone de texte ou sera affich le fichier
     *  @param f fichier  lire
     */
    public static void openFile(JTextArea txt, File f) {
        try {
            FileInputStream inFile = new FileInputStream(f);
            BufferedInputStream buf = new BufferedInputStream(inFile);
            int taille = buf.available();
            byte [] tab = new byte[taille];
            buf.read(tab,0,taille);
            String text = new String(tab);
            txt.setText(text);
            
            inFile.close();
            buf.close();
        }
        catch(Exception e) { // intercepte les erreurs d'E/S
            System.out.println("Erreur " + e);
        }
    }
    
    /** Fonction qui cr un fichier avec le texte d'une zone de texte
     *  @param txt zone de texte
     *  @param f fichier
     */
    public static void saveFile(JTextArea txt, File f) {
        try {
            RandomAccessFile r = new RandomAccessFile(f,"rw");
            r.setLength(0);
            r.writeBytes(txt.getText());
            r.close();
        }
        catch(Exception e) { // intercepte les erreurs d'E/S
            System.out.println("Erreur " + e);
        }
    }
}